<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:p="http://primefaces.org/ui"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets">
    <h:head>
        <title>Categoría</title>

    </h:head>

    <h:body> 
        <ui:include src="menu.xhtml"/>
        <p:growl id="mensaje" />
        <p:outputPanel class="ui-grid ui-grid-responsive"> 
            <div class="ui-grid-col-4"> 
                <h:form id="formCategoria"> 

                    <p:panel id="basic" header="Categoría" style="margin:5px; height:13rem"> 

                        <h:panelGrid id = "panel1"  columns = "2" border = "0"
                                     cellpadding = "5" cellspacing = "1" styleClass="ui-fluid">

                            <p:outputLabel value="Nombre"/>

                            <p:inputText value="#{categoriaController.categoria.nombre}"/>

                            <p:outputLabel value="Fecha"/>

                            <p:calendar id="calendar3" value="#{categoriaController.categoria.fecCreacion}"/>

                            <f:facet name = "footer">
                                <h:panelGroup style = "display:block; text-align:center">
                                    <p:commandButton value="Enviar" style="width:40%;margin-left: 13%; margin-right: 5%" actionListener="#{categoriaController.guardar()}" update="formCategoria,:mensaje"/>

                                </h:panelGroup>
                            </f:facet>

                        </h:panelGrid>

                    </p:panel>
                </h:form>
            </div>


            <div class="ui-grid-col-8"> 
                <h:form id="conta">
                    <p:panel id="basic" header="Consulta" style="margin:5px; height:13rem" styleClass="ui-fluid"> 
                        <div class="ui-grid-col-4"> 
                            <h:panelGrid id = "panel2"  columns = "2" border = "0" cellpadding = "2" cellspacing = "1"  styleClass="ui-fluid">

                                <p:commandButton value="Listar Todos"  actionListener="#{categoriaController.listar()}" update=":tabla"/>
                                <p:commandButton value="Listar Activos"  actionListener="#{categoriaController.listarActivos()}" update=":tabla"/>
                                <p:commandButton value="Listar Mayor"  actionListener="#{categoriaController.listarmayor()}" update=":tabla"/>
                                <p:commandButton value="Listar Palabras"  actionListener="#{categoriaController.listarPalabras()}" update=":tabla"/>
                            </h:panelGrid>
                        </div>

                        <div class="ui-grid-col-8"> 

                            <h:panelGrid id = "panel4"  columns = "6" border = "0" cellpadding = "5" cellspacing = "1"  styleClass="ui-fluid">
                                <p:outputLabel value="Fecha inicio"/>
                                <p:calendar value="#{categoriaController.f_inicio}"/>

                                <p:outputLabel value="Fecha final"/>
                                <p:calendar value="#{categoriaController.f_final}" />

                                <h:panelGroup style = "display:block; text-align:center">
                                    <p:commandButton value="Consultar" actionListener="#{categoriaController.listarXFecha()}" update=":tabla"/>
                                </h:panelGroup>
                            </h:panelGrid>                            

                            <h:panelGrid id = "panel5"  columns = "3" border = "0" cellpadding = "5" cellspacing = "1" styleClass="ui-fluid">
                                <p:outputLabel value="Año 2018 "/>
                                <p:inputText value="#{categoriaController.resultado}" />
                                <h:panelGroup style = "display:block; text-align:center">
                                    <p:commandButton value="Contar" actionListener="#{categoriaController.listacontar()}" update=":conta" />
                                </h:panelGroup>
                            </h:panelGrid>
                        </div>
                    </p:panel>
                </h:form>
            </div>
        </p:outputPanel>


        <h:form id="tabla"> 
            <p:dataTable  value="#{categoriaController.lista}" var="ver" paginator="true" rows="5" reflow="true" style="margin-top:2px">
            <f:facet name="header">
                        Listado de Categoría
                    </f:facet>
                <p:column headerText="Codigo">
                    <p:outputLabel value="#{ver.codigo}" />
                </p:column>
                <p:column headerText="Nombre">
                    <p:outputLabel value="#{ver.nombre}" />
                </p:column> 
                <p:column headerText="Estado">
                    <p:outputLabel value="#{ver.estado}" />
                </p:column>
                <p:column headerText="Fecha Creación">
                    <p:outputLabel value="#{ver.fecCreacion}" />
                </p:column>
                <p:column headerText="Modificar">
                    <p:commandButton value="Modificar" actionListener="#{categoriaController.leerId(ver)}" update=":dia" oncomplete="PF('w').show();" />
                </p:column>
                <p:column headerText="Eliminar">
                    <p:commandButton value="Eliminar" actionListener="#{categoriaController.eliminar(ver)}" immediate="true" update=":tabla,:mensaje" />
                </p:column>
            </p:dataTable>
        </h:form>

        <p:dialog id="dia" widgetVar="w" header="Datos">
            <h:form>
                <p:outputLabel value="Codigo " />
                <p:inputText value="#{categoriaController.categoria.codigo}"/>

                <p:outputLabel value="Nombre " />
                <p:inputText value="#{categoriaController.categoria.nombre}"/>

                <p:outputLabel value="Estado " />
                <p:inputText value="#{categoriaController.categoria.estado}"/>

                <p:outputLabel value="fecCreacion"/>
                <p:calendar value="#{categoriaController.categoria.fecCreacion}" pattern="yyyy-mm-dd"/>

                <p:commandButton value="Modificar" actionListener="#{categoriaController.modificar()}" oncomplete="PF('w').hide ();" update=":tabla,:mensaje"/> 
                <p:commandButton value="Cancelar" oncomplete="PF('w').hide();" update=":tabla" immediate="true"/>
            </h:form>
        </p:dialog>

    </h:body>
</html>